Bug 1369939 - Positioning aspect of --geometry argument ignored
Summary: Positioning aspect of --geometry argument ignored
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-terminal
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-24 19:57 UTC by Rick Dicaire
Modified: 2016-09-12 18:51 UTC (History)
3 users (show)

Fixed In Version: xfce4-terminal-0.6.92-1.fc25 xfce4-terminal-0.6.92-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-11 23:46:00 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Xfce 12791 0 None None None 2016-08-25 20:07:40 UTC

Description Rick Dicaire 2016-08-24 19:57:28 UTC
Description of problem:

Cannot place window in specific position any longer using --geometry

Version-Release number of selected component (if applicable):

xfce4-terminal-0.6.90-1.fc24.x86_64

How reproducible:

xfce4-terminal --geometry=113x56-66+33 used to place the terminal window about halfway from left, now places it at top left.

Window placement positions were derived from xwininfo.

Steps to Reproduce:
1. xfce4-terminal --geometry=113x56-66+33
2.
3.

Actual results:

Incorrect location.

Expected results:

Terminal window to be placed in position desired.

Additional info:

This worked until the latest update.

Comment 1 Kevin Fenzi 2016-08-25 16:08:50 UTC
Would you be willing to file this upstream ( https://bugzilla.xfce.org )

Or would you like me to do so?

Comment 2 Rick Dicaire 2016-08-25 16:15:27 UTC
Kevin, please go ahead and file, thanks.

Comment 3 Kevin Fenzi 2016-08-25 20:07:41 UTC
File upstream: 

https://bugzilla.xfce.org/show_bug.cgi?id=12791

Comment 4 Fedora Update System 2016-09-06 16:53:04 UTC
xfce4-terminal-0.6.92-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4aa10d8b9f

Comment 5 Fedora Update System 2016-09-06 16:53:28 UTC
xfce4-terminal-0.6.92-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5afa98f345

Comment 6 Fedora Update System 2016-09-07 03:20:47 UTC
xfce4-terminal-0.6.92-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4aa10d8b9f

Comment 7 Fedora Update System 2016-09-09 19:21:44 UTC
xfce4-terminal-0.6.92-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5afa98f345

Comment 8 Rick Dicaire 2016-09-09 21:30:33 UTC
rpm -qa|grep xfce4-terminal
xfce4-terminal-0.6.92-1.fc24.x86_64


ardy@daw3:~$ /usr/bin/xfce4-terminal --geometry=113x56+133-25
ardy@daw3:~$ xwininfo

xwininfo: Please select the window about which you
          would like information by clicking the
          mouse in that window.

xwininfo: Window id: 0x6402276 "Terminal - ardy@daw3:~"

  Absolute upper-left X:  138
  Absolute upper-left Y:  208
  Relative upper-left X:  5
  Relative upper-left Y:  22
  Width: 918
  Height: 866
  Depth: 32
  Visual: 0x71
  Visual Class: TrueColor
  Border width: 0
  Class: InputOutput
  Colormap: 0x6400002 (not installed)
  Bit Gravity State: NorthWestGravity
  Window Gravity State: NorthWestGravity
  Backing Store State: NotUseful
  Save Under State: no
  Map State: IsViewable
  Override Redirect State: no
  Corners:  +138+208  -864+208  -864-6  +138-6
  -geometry 918x866+133-0


I have a script that creates eight terminals, and tiles them across the desktop per their geometry positions. This works with mate-terminal.

/usr/bin/xfce4-terminal --geometry=113x56+0+33
/usr/bin/xfce4-terminal --geometry=113x56-63+33
/usr/bin/xfce4-terminal --geometry=113x56+0-0
/usr/bin/xfce4-terminal --geometry=113x56+133-25
/usr/bin/xfce4-terminal --geometry=113x56+266-52
/usr/bin/xfce4-terminal --geometry=113x56+406-78
/usr/bin/xfce4-terminal --geometry=113x56+531+84
/usr/bin/xfce4-terminal --geometry=113x56+659+60

This new update still misplaces the terminals, but they're closer to the desired positions than they used to be.

Comment 9 Kevin Fenzi 2016-09-10 17:29:18 UTC
ok. I wonder if the xfwm4 'smart placement' is messing things up. 

Can you go to settings-> window manager tweaks and move the slider for what size windows get smart placement? Does that change anything? 

If not, we will have to talk with upstream about it...

Comment 10 Rick Dicaire 2016-09-10 18:04:27 UTC
I tried placing the slider at both extremes, there was no effect on placement.

Comment 11 Kevin Fenzi 2016-09-10 18:31:25 UTC
ok. Would you be willing to file this upstream at bugzilla.xfce.org ? 

And perhaps refer to https://bugzilla.xfce.org/show_bug.cgi?id=12810 where this was worked on. ;(

Comment 12 Rick Dicaire 2016-09-10 19:11:37 UTC
https://bugzilla.xfce.org/show_bug.cgi?id=12833 submitted.

Comment 13 Kevin Fenzi 2016-09-10 19:13:38 UTC
Thanks very much!

Comment 14 Kevin Fenzi 2016-09-11 17:05:01 UTC
For ease of testing, here's a f24 scratch build with the upstream test patch:

https://koji.fedoraproject.org/koji/taskinfo?taskID=15587601

Comment 15 Rick Dicaire 2016-09-11 18:16:37 UTC
I installed xfce4-terminal-0.6.92-2.fc26.x86_64 from koji but it fails to start:

xfce4-terminal: symbol lookup error: xfce4-terminal: undefined symbol: vte_regex_new_for_search

Comment 16 Kevin Fenzi 2016-09-11 18:33:55 UTC
Oops. My mistake, accidentially made it a rawhide build. ;( 

Try: https://koji.fedoraproject.org/koji/taskinfo?taskID=15588030

Comment 17 Rick Dicaire 2016-09-11 19:15:28 UTC
This seems to work. Window placements are as they were before the change that triggered my PR.

Comment 18 Fedora Update System 2016-09-11 23:45:54 UTC
xfce4-terminal-0.6.92-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-09-12 18:51:02 UTC
xfce4-terminal-0.6.92-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.